# Class WheelJointDef

java.lang.Object
com.codename1.gaming.physics.box2d.dynamics.joints.JointDef
com.codename1.gaming.physics.box2d.dynamics.joints.WheelJointDef

public class WheelJointDef extends JointDef
Wheel joint definition. This requires defining a line of motion using an axis and an anchor point. The definition uses local anchor points and a local axis so that the initial configuration can violate the constraint slightly. The joint translation is zero when the local anchor points coincide in world space. Using local anchors and a local axis helps when saving and loading a game.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `float`
  `dampingRatio`
  Suspension damping ratio, one indicates critical damping
  `boolean`
  `enableMotor`
  Enable/disable the joint motor.
  `float`
  `frequencyHz`
  Suspension frequency, zero indicates no suspension
  `final Vec2`
  `localAnchorA`
  The local anchor point relative to body1's origin.
  `final Vec2`
  `localAnchorB`
  The local anchor point relative to body2's origin.
  `final Vec2`
  `localAxisA`
  The local translation axis in body1.
  `float`
  `maxMotorTorque`
  The maximum motor torque, usually in N-m.
  `float`
  `motorSpeed`
  The desired motor speed in radians per second.

  ### Fields inherited from class JointDef

  `bodyA, bodyB, collideConnected, type, userData`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WheelJointDef()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initialize(Body b1, Body b2, Vec2 anchor, Vec2 axis)`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### localAnchorA

    public final Vec2 localAnchorA
    The local anchor point relative to body1's origin.

  - ### localAnchorB

    public final Vec2 localAnchorB
    The local anchor point relative to body2's origin.

  - ### localAxisA

    public final Vec2 localAxisA
    The local translation axis in body1.

  - ### enableMotor

    public boolean enableMotor
    Enable/disable the joint motor.

  - ### maxMotorTorque

    public float maxMotorTorque
    The maximum motor torque, usually in N-m.

  - ### motorSpeed

    public float motorSpeed
    The desired motor speed in radians per second.

  - ### frequencyHz

    public float frequencyHz
    Suspension frequency, zero indicates no suspension

  - ### dampingRatio

    public float dampingRatio
    Suspension damping ratio, one indicates critical damping

- ## Constructor Details

  - ### WheelJointDef

    public WheelJointDef()

- ## Method Details

  - ### initialize

    public void initialize(Body b1, Body b2, Vec2 anchor, Vec2 axis)